Kerbal Space Program - Bug #342

Mousewheel scrolling in Tracking Station
03/10/2013 01:02 PM - Anonymous

Status: Closed Start date: 03/10/2013
Severity: Unworthy % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.23 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

In the Tracking Station, when the cursor is within the bounds of the Flights in Progress scrollpane / list, using the mousewheel to
scroll should not zoom the camera in or out of the focused object. Currently, the list scrolls AND the camera zooms.

History

#1 - 01/16/2014 07:38 PM - TruePikachu

This isn't the proper tracker (Feature tracker is | believe for feature requests). As such, | can't mark that the bug is Confirmed.

#2 - 01/17/2014 06:54 AM - Ted

- Tracker changed from Feature to Bug

- Severity changed from Petty to Unworthy
- Version set to 0.23

- Platform Windows added

Changed to Bug.

#3 - 01/17/2014 10:16 AM - TruePikachu
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#4 - 03/17/2014 01:58 AM - Lysius

Can confirm on Linux with 0.23.

#5 - 07/27/2015 06:04 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#6 - 08/31/2015 01:53 PM - Squelch

This is also true for the debug window elements that have scrollable content. The mousewheel events are being passed not only to the focused GUI
pane, but the main scene too.

Slightly related, is the behaviour will zoom the scene while using the mousewheel to fine adjust the manoeuvre node widget. ie as the handle moves
and the mouse pointer leaves the "hotzone" it annoyingly switches to zoom.

#7 - 07/17/2016 09:38 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#8 - 07/17/2016 06:12 PM - Claw
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100
- Platform Windows added
- Platform deleted (Win32)

Fixed in 1.1.X+

05/20/2024 22


http://www.tcpdf.org

